# do not build debug packages for now
%global debug_package %{nil}

%global version 5.6.0
%global revision 39.2279a46.5.6

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-39.2279a46.5.6.tar.gz
Patch0:		set_downstream_images.patch
Patch1:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%prep
%setup -c
%patch0 -p1
%patch1 -p1

%build
go version
%ifarch ppc64le
GOOS=linux GOARCH=ppc64le CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch s390x
GOOS=linux GOARCH=s390x CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch x86_64
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 11 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.6.0-39.2279a46.5.6
- Rebase to mcg-operator-5.6.0-39.2279a46.5.6

* Wed Nov 25 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.6.0-36.706b32a.5.6
- Rebase to mcg-operator-5.6.0-36.706b32a.5.6

* Wed Aug 19 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-11.4e61bde.5.6
- Added ppc64le and s390x as arches

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-5.6
- Initial build for 5.6.0

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
